Bug 246148 - [NEW PORT] games/libretro-mu: Mu - PalmOS Emulator
Summary: [NEW PORT] games/libretro-mu: Mu - PalmOS Emulator
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Loïc Bartoletti
URL: https://github.com/libretro/Mu
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-03 19:23 UTC by Daniel Menelkir
Modified: 2020-05-20 05:20 UTC (History)
2 users (show)

See Also:


Attachments
libretro-mu.diff (3.24 KB, patch)
2020-05-03 19:23 UTC, Daniel Menelkir
menelkir: maintainer-approval+
Details | Diff
libretro-mu-v2.diff (3.25 KB, patch)
2020-05-05 23:16 UTC, Daniel Menelkir
no flags Details | Diff
libretro-mu-v3.diff (3.24 KB, patch)
2020-05-08 07:03 UTC, Daniel Menelkir
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2020-05-03 19:23:39 UTC
Created attachment 214069 [details]
libretro-mu.diff

Mu is a PalmOS emulator core for libretro compatible emulators, such as retroarch.
Comment 1 Daniel Menelkir 2020-05-05 23:16:30 UTC
Created attachment 214181 [details]
libretro-mu-v2.diff

Changed the PORTVERSION and do-install to match bug #246067
Comment 2 Daniel Menelkir 2020-05-08 07:03:40 UTC
Created attachment 214267 [details]
libretro-mu-v3.diff

Removed ${COREDIR} variable.
Comment 3 commit-hook freebsd_committer 2020-05-20 05:10:29 UTC
A commit references this bug:

Author: lbartoletti
Date: Wed May 20 05:10:26 UTC 2020
New revision: 535968
URL: https://svnweb.freebsd.org/changeset/ports/535968

Log:
  [NEW PORT] games/libretro-mu: PalmOS emulator to the libretro API

  Mu is a PalmOS emulator core for libretro compatible emulators, such as games/retroarch.

  PR:		246148
  Submitted by:	menelkir@itroll.org
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24863

Changes:
  head/games/Makefile
  head/games/libretro-mu/
  head/games/libretro-mu/Makefile
  head/games/libretro-mu/distinfo
  head/games/libretro-mu/files/
  head/games/libretro-mu/files/patch-Makefile.freebsd
  head/games/libretro-mu/pkg-descr
Comment 4 Loïc Bartoletti freebsd_committer 2020-05-20 05:20:20 UTC
Committed, thanks!